
/* tree.cc */

#include "tree.h"

#include <QPushButton>
#include <KIcon>
#include <kaboutdata.h>

MyTree::MyTree (MyPlugin *plugin, QWidget* parent)
  : QTreeWidget (parent)
{
    setObjectName (i18n ("MyTree"));

    setWhatsThis (i18n ("<b>MyTree</b><p>"
                        "This window contains an tree.</p>" ) );

    setWindowIcon (KIcon ("gimp"));

    setWindowTitle (i18n ("MyTree"));

    // new QPushButton ("My Tree", this);

    this->setColumnCount (1);
    QList<QTreeWidgetItem *> items;
    for (int i = 0; i < 10; ++i)
       items.append(new QTreeWidgetItem((QTreeWidget*)0, QStringList(QString("item: %1").arg(i))));
    this->insertTopLevelItems(0, items);

 }


