
/* main.cc */

#include "module.h"
#include "prop.h"
#include "tree.h"
#include "view.h"

#include "QApplication"
#include "QMainWindow"
#include "QHBoxLayout"

extern "C" int main (int argc, char * * argv)
{
    QApplication app (argc, argv);

    MyPlugin * plugin = NULL;

    QWidget * win = new QWidget;

    MyTree * tree = new MyTree (plugin);
    MyView * view = new MyView (plugin);
    MyProp * prop = new MyProp (plugin);

    view->example ();

    QHBoxLayout *layout = new QHBoxLayout;

    layout->addWidget (tree);
    layout->addWidget (view);
    layout->addWidget (prop);

    win->setLayout (layout);

    win->show ();

    return app.exec();
}
