
/* module.h */

#ifndef MYMODULE_H
#define MYMODULE_H

#include <interfaces/iplugin.h>
#include <interfaces/iuicontroller.h>
#include <interfaces/idocumentcontroller.h>

// #include "document.h"

/* ----------------------------------------------------------------------- */

// namespace KView {

/* ----------------------------------------------------------------------- */

#if 0
class MyPlugin
{
};
#endif

/* ----------------------------------------------------------------------- */

#if 1
class MyPlugin : public KDevelop::IPlugin
{
   Q_OBJECT

   public:
       MyPlugin (QObject *parent, const QVariantList & args = QVariantList ());
       virtual ~ MyPlugin ();

   public:
       virtual void unload ();

   private Q_SLOTS:
       void run ();

   private:
      KDevelop::IToolViewFactory * m_view_factory;
      KDevelop::IToolViewFactory * m_tree_factory;
      KDevelop::IToolViewFactory * m_prop_factory;
      KDevelop::IDocumentFactory * m_document_factory;
};
#endif

/* ----------------------------------------------------------------------- */

// } // end of namespace

#endif // MYMODULE_H
